package gotowe.p10_klasy_podstawy;

class PustaKlasaProgram {

    public static void main(String[] args) {
        // Nawet jeśli definicja klasy jest pusta, można utworzyć obiekt i jest na nim dostepnych kilka metod:
        PustaKlasa obiekt = new PustaKlasa();
        System.out.println(obiekt);
        System.out.println(obiekt.getClass());
        System.out.println(obiekt instanceof PustaKlasa);
        System.out.println(obiekt.toString());
        System.out.println(obiekt.hashCode());
        System.out.println(obiekt.equals(obiekt));
        System.out.println(obiekt.equals(null));
    }
}
